teensy_loader_cli(1)

NAME
teensy_loader_cli - load and run programs onto your Teensy micro controller

SYNOPSIS
teensy_loader_cli --mcu MCU [-w] [-r] [-s] [-n] [-b] [-v] [-h] file.hex

DESCRIPTION
The teensy loader cli is a command-line alternative to the graphical teensy loader which is included with Teensyduino. The cli version is preferred by advanced users who want to automate programming, typically from within a Makefile or similar.

OPTIONS

--mcu
    Specify which connected Teensy controller to work with (e.g. TEENSY36). To list supported MCUs, use:
    	teensy_loader_cli --list-mcus

-w  Wait for device to appear

-r  Use hard reboot if device not online. This option requires another Teensy to be connected, running the rebootor firmware.

-s  Use soft reboot if device not online (Teensy 3.x only)

-n  No reboot after programming

-b  Boot only, do not program

-v  Verbose output

SEE ALSO
http://www.pjrc.com/teensy/loader_cli.html

AUTHOR
teensy_loader_cli was developed by Paul Stoffregen <paul@pjrc.com> This manual page was written for the Debian project by Michael Stapelberg <stapelberg@debian.org> (but may be used by others).